Bug 482860 - kernel warnings
kernel warnings
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 11:08 EST by antonio montagnani
Modified: 2009-03-10 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 18:14:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Forgotten attachment (2.00 KB, text/plain)
2009-01-28 17:15 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2009-01-28 11:08:50 EST
Description of problem:
When I log in, I get some warnings about kerenl

Version-Release number of selected component (if applicable):
2.6.29-0.53.rc2.git1.fc11.i686

How reproducible:
always

Steps to Reproduce:
1.Just log in
2.
3.
  
Actual results:
see attachment

Expected results:
No warnings

Additional info:
also with older kernels.No problem with same machine in F10
Comment 1 Dave Jones 2009-01-28 14:10:44 EST
What are those warnings? We can't do anything about them if we don't know what they are.
Comment 2 antonio montagnani 2009-01-28 17:15:53 EST
Created attachment 330292 [details]
Forgotten attachment

I didn't reakize that attachment was not there.
I get this warning in a graphic window when I call for more details in kernel warnings
Comment 3 Chuck Ebbert 2009-02-03 23:56:58 EST
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x25c/0x2f1() (Not tainted)
Hardware name: Aspire 5720     
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.29-0.41.rc2.fc11.i686 #1
Call Trace:
[<c0430479>] warn_slowpath+0x77/0xb3
[<c0430700>] ? update_console_cmdline+0x41/0x76
[<c044e0ef>] ? trace_hardirqs_off_caller+0x18/0xa3
[<c044e0ef>] ? trace_hardirqs_off_caller+0x18/0xa3
[<c044e185>] ? trace_hardirqs_off+0xb/0xd
[<c06e2e2d>] ? _spin_unlock_irqrestore+0x39/0x50
[<c0430956>] ? release_console_sem+0x1b3/0x1e0
[<c0407fa3>] ? sched_clock+0x8/0xb
[<c044d81b>] ? lock_release_holdtime+0x30/0x131
[<c0541b25>] ? __debug_object_init+0x164/0x2f1
[<c0541c1d>] __debug_object_init+0x25c/0x2f1
[<c0541cdd>] debug_object_init+0x13/0x16
[<c0438953>] init_timer+0x11/0x47
[<c0419e08>] hpet_cpuhp_notify+0x78/0xca
[<c0419f0b>] ? hpet_work+0x0/0x1b9
[<c044007b>] ? module_attr_show+0x19/0x22
[<c05a7d44>] ? hpet_alloc+0x337/0x37f
[<c08c6ba8>] hpet_late_init+0x14a/0x181
[<c08c6a5e>] ? hpet_late_init+0x0/0x181
[<c040114d>] _stext+0x65/0x17a
[<c053c206>] ? put_dec+0x2a/0xff
[<c044dc3d>] ? register_lock_class+0x17/0x290
[<c044dc3d>] ? register_lock_class+0x17/0x290
[<c044e9bd>] ? mark_lock+0x1e/0x349
[<c0407fa3>] ? sched_clock+0x8/0xb
[<c044d81b>] ? lock_release_holdtime+0x30/0x131
[<c049f409>] ? check_valid_pointer+0x1f/0x4e
[<c044e9bd>] ? mark_lock+0x1e/0x349
[<c044ef37>] ? trace_hardirqs_on+0xb/0xd
[<c0407fa3>] ? sched_clock+0x8/0xb
[<c044d81b>] ? lock_release_holdtime+0x30/0x131
[<c04de5df>] ? proc_register+0x146/0x157
[<c0540e84>] ? _raw_spin_unlock+0x74/0x78
[<c06e2e61>] ? _spin_unlock+0x1d/0x20
[<c04de5df>] ? proc_register+0x146/0x157
[<c04de708>] ? create_proc_entry+0x7b/0x91
[<c0471a85>] ? register_irq_proc+0x7f/0x9b
[<c0471af4>] ? init_irq_proc+0x53/0x60
[<c08b3382>] kernel_init+0x17e/0x1cf
[<c08b3204>] ? kernel_init+0x0/0x1cf
[<c040443f>] kernel_thread_helper+0x7/0x10
---[ end trace 4eaa2a86a8e2da22 ]---
Comment 4 antonio montagnani 2009-02-14 09:13:55 EST
New kernel warnings....

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at drivers/usb/storage/transport.c:584 last_sector_hacks+0xf7/0x151 [usb_storage]() (Not tainted)
Hardware name: Aspire 5720     
sdc: Successful last sector success at 15794174, device 0781:5151:0200
Modules linked in: fuse i915 drm i2c_algo_bit bridge stp llc bnep sco l2cap bluetooth sunrpc ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq_dummy ecb snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device sdhci_pci snd_pcm_oss snd_mixer_oss firewire_ohci snd_pcm acer_wmi sdhci joydev pcspkr iwl3945 rfkill mac80211 firewire_core crc_itu_t ricoh_mmc mmc_core i2c_i801 uvcvideo videodev v4l1_compat i2c_core snd_timer video snd lib80211 iTCO_wdt tg3 cfg80211 iTCO_vendor_support soundcore output snd_page_alloc wmi usb_storage [last unloaded: microcode]
Pid: 18429, comm: usb-storage Not tainted 2.6.29-0.99.rc4.git1.fc11.i586 #1
Call Trace:
[<c042d88a>] ? warn_slowpath+0x6b/0x9a
[<c042d896>] warn_slowpath+0x77/0x9a
[<c06d7f97>] ? _spin_unlock_irq+0x22/0x2f
[<c06d66e6>] ? wait_for_common+0xcd/0xd7
[<c04269f6>] ? default_wake_function+0x0/0xd
[<c06d671f>] ? wait_for_completion_interruptible_timeout+0xd/0xf
[<f7d02af2>] ? usb_stor_msg_common+0xe9/0x10e [usb_storage]
[<f7d029af>] last_sector_hacks+0xf7/0x151 [usb_storage]
[<f7d032d5>] ? usb_stor_Bulk_transport+0x13c/0x264 [usb_storage]
[<f7d03071>] usb_stor_invoke_transport+0x245/0x24d [usb_storage]
[<f7d03071>] ? usb_stor_invoke_transport+0x245/0x24d [usb_storage]
[<c044d566>] ? print_lock_contention_bug+0x11/0xb2
[<f7d043ce>] ? usb_stor_control_thread+0x50/0x1a6 [usb_storage]
[<c044c29a>] ? trace_hardirqs_on_caller+0x18/0x145
[<f7d027f2>] usb_stor_transparent_scsi_command+0x8/0xa [usb_storage]
[<f7d04497>] usb_stor_control_thread+0x119/0x1a6 [usb_storage]
[<f7d0437e>] ? usb_stor_control_thread+0x0/0x1a6 [usb_storage]
[<f7d0437e>] ? usb_stor_control_thread+0x0/0x1a6 [usb_storage]
[<c043eb8f>] kthread+0x3c/0x60
[<c043eb53>] ? kthread+0x0/0x60
[<c04042f7>] kernel_thread_helper+0x7/0x10
---[ end trace 4bbc58f45f18a192 ]---

Note You need to log in before you can comment on or make changes to this bug.